;------------------------------------------------------------------------------
; Ycode Interpreter. $BE00 page usage.			    (c) 1989, 1990 YGP.

SystemPage	equ	$be00		; Ycode occupy $be00..$beff locations

		section SystemPage
Sys_Ver 	ds	2		; Version of Ycode interpreter
Bank1page	ds	1		; ROM page number for bank 1
Bank2page	ds	1		; ROM page number for bank 2

LYCaddress	ds	2		; address of Long Ycode handler
StdAddress	ds	2		; address of Std P/F handler

NullString	=	*		; NullString = #0 = '' = 1 byte zero
LongZero	ds	4		; 4 bytes zero

IsRunning	ds	1		;      link-
SegLoadFlag	ds	1		; SegLoad in progress
OSactive	ds	1		;    OSshell
LibHandle	ds	1		; Library FileHandle

		error	* / $be41	;    <=  $be40

		ds	$be40-* 	; unused now

WorkBuff	ds	$20		;($be60..$be7f) $20 = 32 bytes WorkBuff
WBsize		=	*-WorkBuff	; size of WorkBuff


SaveArea	=	* ;--------------      OS shell ---
SaveAreaPtr	ds	2		; ptr to     

StackDepth	ds	2		; stack depth before run
HeapBeforeRun	ds	2		; Top of Heap before running program
IOresult	ds	2		; I/O result of last I/O operation
ProgramSlot	ds	1		;     
OldTerminate	ds	3		; Old Terminate vector

		ds	15		; unused now

SaveSWI_Area	=	*		; save of SWI area on entry
SaveSWI_AreaP	ds	1
SaveSWI_AreaB	ds	1
SaveSWI_AreaA	ds	1
SaveSWI_AreaX	ds	2 ;----------------------------------------------------

		error	* - $be80	;    = $be80
SaveAreaSize	=	$20

;--------------------------------- $be80 --------------------------------------
Statistics	ds	$10		;($be80..$be8f) $10 = 16 bytes reserved
					;			 for Statistics

DebuggerInfo	ds	$10		;($be90..$be9f) $10 = 16 bytes reserved
					;			   for Debugger

CRTspace	ds	$10		;($bea0..$beaf) $10 = 16 bytes reserved
					;			   for CRT unit

WINspace	ds	$10		;($beb0..$bebf) $10 = 16 bytes reserved
					;			   for WIN unit

RsdntLinkPtr	ds	2		; Resident programs link pointer
LibNamePtr	ds	2		; pointer to Library FileName  (ASCIIz)
BDYpathsPtr	ds	2		; pointer to BDYpaths (intrptr	ASCIIz)
OverlayBuffer	ds	2		; must be zero (or ptr to buffer)

		ds	8		; unused now

;------------------------------ $bed0 ..$beff ---------------------------------
		ds	2		; ($bed0..$beff)  reserved for MainLoop
					;		   and MainLoop patches
RAM_code	=	*
MainLoop1	=	*
		ds	46

		error	* - $bf00	; SystemPage's size is EXACTLY $100
		ends;	SystemPage

;------------------------------------------------------------------------------
